Skip to main content
POST
/
api
/
metrics
/
values
/
{context_type}
/
{entity_uid}
Create metric value
curl --request POST \
  --url https://dev.exante.app/api/metrics/values/{context_type}/{entity_uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metric_uid": "<string>",
  "time_unit": "day",
  "metric_date": "2026-03-15",
  "value": 350000000,
  "timezone": "America/Los_Angeles",
  "_metadata": {}
}
'
{
  "status": "success",
  "status_code": 200,
  "message": "<string>",
  "data": {
    "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "metric_uid": "total_ar",
    "metric_name": "Total AR Outstanding",
    "period_definition": "as_of_date",
    "context_type": "ORGANIZATION",
    "entity_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "time_unit": "day",
    "timezone": "America/Los_Angeles",
    "metric_date": "2026-03-15",
    "storage_unit": "raw",
    "value_type": "currency",
    "value": 350000000,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "_metadata": {}
  }
}
Creates one metric value row.

Validation

  • Path context_type must match the metric definition context_type.
  • entity_uid must exist in the expected entity table for the metric context.
  • Duplicate (entity_uid, metric_uid, time_unit, metric_date) rows return 409.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

context_type
enum<string>
required

Entity context type

Available options:
ORGANIZATION,
PARTY,
USER
entity_uid
string<uuid>
required

Entity UID

Body

application/json
metric_uid
string
required

UID of the metric definition

time_unit
enum<string>
default:day
required
Available options:
day,
month,
year
metric_date
string<date>
required

The date this value represents

Example:

"2026-03-15"

value
number
required

The computed metric value

Example:

350000000

timezone
string

Timezone at computation time

Example:

"America/Los_Angeles"

_metadata
object

Calculation context for auditability

Response

Metric value created

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
data
object